Subject: bug#8463: 24.0.50; [PATCH] Direct Edit in *Occur* Buffer

From: Stefan Monnier <[email-masked]>
Date: Thu, 14 Apr 2011 22:11:06 -0300

> @@ -761,7 +761,8 @@
>    (let ((map (make-sparse-keymap)))
>      ;; We use this alternative name, so we can use \\[occur-mode-mouse-goto].
>      (define-key map [mouse-2] 'occur-mode-mouse-goto)
> -    (define-key map "\C-c\C-c" 'occur-mode-goto-occurrence)
> +    (define-key map "\C-c\C-c" 'occur-edit-mode)
> +    (define-key map "\C-x\C-q" 'occur-edit-mode)
>      (define-key map "\C-m" 'occur-mode-goto-occurrence)
>      (define-key map "o" 'occur-mode-goto-occurrence-other-window)
>      (define-key map "\C-o" 'occur-mode-display-occurrence)

I haven't had a chance to look much at the code, but while the
functionality generally sounds good, the C-c C-c binding above doesn't
look right to me.  I think C-x C-q is sufficient and there's no need to
introduce such an incompatibility (not with code but with users).

        Stefan